/* 
 * File:   eusart_lib.h
 * Author: Mark
 *
 * Created on May 17, 2016, 10:04 PM
 */

#ifndef EUSART_LIB_H
#define	EUSART_LIB_H

#include <xc.h>
#include <stdbool.h>
#include <stdint.h>

extern volatile uint8_t eusartTxBufferRemaining;
extern volatile uint8_t eusartRxCount;

void eusart_initialize( void);
uint8_t eusart_getc( void);
void eusart_putc( uint8_t );
void eusart_gets( char * );
void eusart_puts( const char * );
void EUSART_Transmit_ISR( void);
void EUSART_Receive_ISR( void);

#endif	/* EUSART_LIB_H */
